update contentserver to version 1.0.0

Bug #943864 reported by Ralf Claussnitzer on 2012-03-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Goobi.Production
Low
Unassigned
1.8
Low
Unassigned

Bug Description

Uses released goobi-contentserver 1.0.0 instead of ics-0.0.4 library.

Changed in goobi-production:
milestone: 1.7.2 → none
no longer affects: goobi-production/1.7
Changed in goobi-production:
assignee: Ralf Claussnitzer (ralf-claussnitzer) → nobody
milestone: 1.7.3 → none

Interesting side note:

"Most problems are related to ImageIOs filed based caching and not flushing buffers when an IOException in an underlying stream occurs." -- http://info.michael-simons.eu/2012/01/25/the-dangers-of-javas-imageio/

ImageIO library runs a bit flaky (only tested in pure Java mode). Occasional crashes when running Meta Data Editor. Further testing on different machines required. Branch not ready for merge request.

-> Bug fix is postponed to later release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers